Bug 5455 - freshplayerplugin upgrade to fix a few bugs
: freshplayerplugin upgrade to fix a few bugs
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-29 13:42 MSD by Zombie Ryushu
Modified: 2015-05-26 14:32 MSD (History)
3 users (show)

See Also:
RPM Package: freshplayerplugin
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2015-04-29 13:42:20 MSD
2015-04-25  Rinat Ibragimov  <ibragimovrinat@mail.ru>

	* release: v0.2.4
	* graphics: use XRender for presentation, enable 3d by default
	* graphics: high DPI support (device_scale)
	* graphics: add inhibition for cinnamon-screensaver
	* graphics: add inhibition for X internal screen saver
	* core: prefer UTF8 when putting text to clipboard
	* core: support windowed plugin mode, both direct and XEmbed
	* core: support Input Method Editors
	* core: enable mouse wheel events
	* core: make GTK+ major version selectable
	* audio: support playing audio through JACK

This is important because some Nvidia cards can seemingly auto adjust screen resolutions based on freshplayerplugin being triggered.
Comment 1 Zombie Ryushu 2015-05-18 14:45:12 MSD
Just reminding everyone with the release of Flash Player Plugin 17.0.0.188 Security patches.
Comment 2 Zombie Ryushu 2015-05-26 01:57:58 MSD
Flash Player Plugin 17.0.0.188 has been released but this has not been patched.
Comment 3 Zombie Ryushu 2015-05-26 05:09:50 MSD
The version of FreshPlayer Plugin is having some bizzare effects on
xrandr. On one of my systems, it causes xrandr to blank the screen when
triggered.

Also, I'm getting errors on FireFox in general, and am getting segfaults.

[3949551.065616] plugin-containe[28843]: segfault at 0 ip
00007f335a527bf9 sp 00007fff628a4740 error 4 in
libxul.so[7f3359b4a000+3fd7000]

Also there seems to be a linking issue with libxul.so
        libmozalloc.so => not found
 
This may not be entirely Freshplayer's fault. I think there is something systemically wrong with FireFox.
Comment 4 Denis Silakov 2015-05-26 14:32:53 MSD
Freshplayer has been updated to version 0.2.4.